/*
 * YICS: Connect a FICS interface to the Yahoo! Chess server.
 * Copyright (C) 2004  Chris Howie
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef _LISTS_H
#define _LISTS_H

#include "types.h"

extern List lists[];

enum {
	LIST_CENSOR = 0,
	LIST_NOTIFY
};

#define LIST_NOPLAY	(LIST_CENSOR)

extern bool listAdd(List *, const char *);
extern bool listSub(List *, const char *);
extern bool inList(List *, const char *);
extern void buildList(List *, const String *);
extern List *findList(const char *);

#endif
