/*
 * YICS: Connect a FICS interface to the Yahoo! Chess server.
 * Copyright (C) 2004  Chris Howie
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef _TOPCODES_H
#define _TOPCODES_H

#include "types.h"

extern TableOpcode topcodes[];
extern void refresh(Table *);

#define TOP_CANCELSAVE	0x21
#define TOP_PROTECTION	0x25
#define TOP_START	0x42
#define TOP_KIBITZ	0x43
#define TOP_STAND	0x44
#define TOP_DRAW	0x46
#define TOP_FLAG	0x49
#define TOP_RATED	0x4b
#define TOP_TIME	0x4c
#define TOP_MOVE	0x4d
#define TOP_PROMOTE	0x50
#define TOP_BOOT	0x51
#define TOP_SIT		0x54
#define TOP_ACCEPTDRAW	0x57
#define TOP_ACCDEC_CANCELSAVE	0x58
#define TOP_INVITE	0x5e
#define TOP_RESIGN	0x7b

#endif
